{ config, pkgs, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./hardware-configuration.nix
      ./exports.nix
      ./filesystems.nix
  ];

  networking = {
    hostName = "challenger";
    bridges.br0.interfaces = [ "enp5s0" ];
    interfaces.br0.useDHCP = false;
    interfaces.br0.ipv4.addresses = [
      { address = "192.168.10.161"; prefixLength = 24; }
    ];

    hostId = "828ab735";
    defaultGateway = "192.168.10.1";
  };

  sops.defaultSopsFile = ../../secrets/challenger/challenger.yaml;

  environment.variables = { EDITOR = "vim"; };
  environment.systemPackages = with pkgs; [
    zfs
  ];

  virtualisation.docker.enable = true;
  virtualisation.oci-containers.backend = "docker";

  system.stateVersion = "24.05";
}

